### Function

# Pango scan_string

#### Declaration [src]

    gboolean
    pango_scan_string (
      const char** pos,
      GString* out
    )

#### Description [src]

Scans a string into a `GString` buffer.

The string may either be a sequence of non-white-space characters, or a quoted string with ‘”’. Instead a quoted string, ‘"’ represents a literal quote. Leading white space outside of quotes is skipped.

#### Parameters

`pos` | `const char**`
| In/out string position.
| The argument will be modified by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`out` | `GString*`
| A `GString` into which to write the result.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `FALSE` if a parse error occurred.